Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class PluginListValue

    java.lang.Object
      |
      +--com.solarmetric.conf.Value
            |
            +--com.solarmetric.conf.PluginListValue

All Implemented Interfaces:
  Cloneable

public class PluginListValue
extends Value

A list of plugins. Defaults and aliases on plugin lists apply only to individual class names.

See Also:
  `PluginValue`

Constructor Summary
`PluginListValue(String prop)`

Method Summary
`String[]` | `getClassNames()` The plugin class names.
`protected String` | `getInternalString()` Return the internal string form of this value.
`String[]` | `getProperties()` The plugin properties.
`String` | `getString()` Override to recognize aliases of the class name without the attached properties string.
`Class` | `getValueType()` Returns the type of the property that this Value represents.
`Object[]` | `instantiate(Class elemType, Configuration conf)` Instantiate the plugins as instances of the given class.
`Object[]` | `instantiate(Class elemType, Configuration conf, boolean fatal)` Instantiate the plugins as instances of the given class.
`void` | `setClassNames(String[] names)` The plugin class names.
`protected void` | `setInternalString(String str)` Set this value from the given string.
`void` | `setProperties(String[] props)` The plugin properties.
`void` | `setString(String str)` Override to recognize aliases of the plugin name without the attached properties string.

Methods inherited from class com.solarmetric.conf.Value
`addAlias, alias, clone, equals, getAliases, getDefault, getListener, getProperty, hashCode, isAliasListComprehensive, setAliases, setAliasListComprehensive, setDefault, setListener, setProperty, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginListValue

    public PluginListValue(String prop)

Method Detail

### getValueType

    public Class getValueType()

  Description copied from class: `Value`
  Returns the type of the property that this Value represents.
  Overrides:
    `getValueType` in class `Value`

### getClassNames

    public String[] getClassNames()

  The plugin class names.

### setClassNames

    public void setClassNames(String[] names)

  The plugin class names.

### getProperties

    public String[] getProperties()

  The plugin properties.

### setProperties

    public void setProperties(String[] props)

  The plugin properties.

### getString

    public String getString()

  Override to recognize aliases of the class name without the attached properties string.
  Overrides:
    `getString` in class `Value`

### setString

    public void setString(String str)

  Override to recognize aliases of the plugin name without the attached properties string.
  Overrides:
    `setString` in class `Value`

### getInternalString

    protected String getInternalString()

  Description copied from class: `Value`
  Return the internal string form of this value.
  Overrides:
    `getInternalString` in class `Value`

### setInternalString

    protected void setInternalString(String str)

  Description copied from class: `Value`
  Set this value from the given string.
  Overrides:
    `setInternalString` in class `Value`

### instantiate

    public Object[] instantiate(Class elemType,
                                Configuration conf)

  Instantiate the plugins as instances of the given class.

### instantiate

    public Object[] instantiate(Class elemType,
                                Configuration conf,
                                boolean fatal)

  Instantiate the plugins as instances of the given class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.